#ifndef TEXT_H_
#define TEXT_H_

class Text
{
    public:
    Text( ){ n_loaded_font = 0; }
    ~Text( ){ }
    void load_font( const char& character, const char * filename );
    void store_char( const int& grid_id, const char& character );
    void update_screen( );
    
    private:
    static const int N_FONT              = 37;   // alphabet + number
    static const int FONT_WIDTH          = 32;
    static const int FONT_HEIGHT         = 32;
    static const int N_MAX_LOADED_FONT   = 8;
    
    unsigned short m_font[ N_FONT ][ FONT_HEIGHT ][ FONT_WIDTH ];
    int loaded_font_grid_id[ N_MAX_LOADED_FONT ];
    int n_loaded_font;
};

#endif /*TEXT_H_*/
